<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
CursorConfig..::.SnapshotIsolation Field
CursorConfig Class See Also

Configure a transactional cursor to operate with read-only snapshot isolation. For databases with UseMVCC set, data values will be read as they are when the cursor is opened, without taking read locks.

This setting implicitly begins a transaction that is committed when the cursor is closed.

This setting is silently ignored if UseMVCC is not set on the underlying database or if a transaction is supplied to Cursor()()()

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool SnapshotIsolation

Visual Basic (Declaration)

    Public SnapshotIsolation As Boolean

Visual C++

    public:
    bool SnapshotIsolation

# See Also

CursorConfig Class
BerkeleyDB Namespace